Storage Services/Storage Services
PUTStorage ServicesSince 4.10.6SynchronousAuth Required
Configure ZStone Cluster
Configure ZStone Cluster
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
Body Fields
uuidStringRequiredZStone UUID, uniquely identifies the resource
clusterNameStringRequiredZStone cluster name
managementIpStringZStone management node IP
chronyIpStringRequiredZStone time synchronization server IP
publicNetworkCidrStringRequiredZStone public network IP CIDR
Responses
Endpoint
PUT/zstack/v1/zstone-plugin/config/cluster
/zstack/v1/zstone-plugin/config/cluster
Request Example
curl -X PUT 'http://{host}/zstack/v1/zstone-plugin/config/cluster' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"uuid":"<uuid>","clusterName":"<clusterName>","managementIp":"<managementIp>","chronyIp":"<chronyIp>","publicNetworkCidr":"<publicNetworkCidr>","clusterNetworkCidr":"<clusterNetworkCidr>","managementNetworkCidrv":"<managementNetworkCidrv>","systemTags":["<systemTags>"],"userTags":["<userTags>"],"force":true,"softwarePackageUuid":"<softwarePackageUuid>"}'
Response Example
200{}Change History
This API has no change history records yet.
